</div>
</form>
<br>
<div style="margin-bottom:10px;">
<!-- <button class="btn btn-primary btn-block" (click)="refine()">
    <i class="fa fa-refresh" aria-hidden="true"></i> Refine
</button> -->
</div>

<p-dataList 
[value]="customUnitDocumentMessages"  [paginator]="true" [rows]="10" [lazy]="true" (onLazyLoad)="loadDataLazy($event)" [totalRecords]="queryCount" [trackBy]="trackId">
<ng-template let-unitDocumentMessage pTemplate="item">
    <div class="ui-g ui-fluid border-item">
        <div class="ui-g-12 ui-md-12">
            <div class="pull-left ui-g-12 ui-md-12" style="font-weight:600">
                No. VSO : {{unitDocumentMessage.requirementNumber}}
            </div>
            <div class="pull-left ui-g-12 ui-md-12" style="font-weight:600">
                Market Name : {{unitDocumentMessage.productName}}
            </div>
            <div class="pull-left ui-g-12 ui-md-12" style="font-weight:600">
                ID Product : {{unitDocumentMessage.idProduct}}
            </div>
            <div class="pull-left ui-g-12 ui-md-12" style="font-weight:600">
                Deskripsi Type : {{unitDocumentMessage.description}}
            </div>
            <div class="pull-left ui-g-12 ui-md-12" style="font-weight:600">
                Kode Warna : {{unitDocumentMessage.idFeature}}
            </div>
            <div class="pull-right">
                <!-- {{salesUnitRequirement.qty}} Unit -->
            </div>
        </div>
        <div class="ui-g-12 ui-md-12">
            <button
            [routerLink]="['/approval-korsal/vso-draft/' + unitDocumentMessage.idRequirement + '/' + unitDocumentMessage.idMessage + '/' + idstatus + '/detail-approval']">
                    <i class="fa fa-paper-plane-o"></i> Detail
            </button>
        </div>
    </div>
</ng-template>
</p-dataList>
